Skip to main content
`Ctrl`+`K`

# RGIsAxisymmetric

Determines if the region is symmetric with respect to the real or imaginary axis.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGIsAxisymmetric(RG rg,PetscBool vertical,PetscBool *symm)

Not Collective

## Input Parameters

- rg - the region context

- vertical - `PETSC_TRUE` if symmetry must be checked against the vertical axis

## Output Parameter

- symm - `PETSC_TRUE` if the region is axisymmetric

## Note

If the vertical argument is true, symmetry is checked with respect to the vertical axis, otherwise with respect to the horizontal axis.

## See Also

RG: Region, `RGCanUseConjugates()`

## Level

intermediate

## Location

src/sys/classes/rg/interface/rgbasic.c

## Implementations

RGIsAxisymmetric_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c
RGIsAxisymmetric_Interval() in src/sys/classes/rg/impls/interval/rginterval.c
RGIsAxisymmetric_Ring() in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages